View Issue Details

IDProjectCategoryView StatusLast Update
0004653GNUnetbuild processpublic2018-06-07 00:24
ReporterlynXAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004653: Inconsistency in ./configure usage regarding --with-PACKAGE
Description"./configure --with-mysql" will default to NO rather than YES.
Additional InformationAccording to ./configure -h these syntaxes are allowed:

Optional Packages:
  --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
  --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
[…]
  --with-sqlite=PFX base of SQLite installation
  --with-postgresql=[ARG] use PostgreSQL library [default=yes], optionally
                          specify path to pg_config
  --with-mysql=PFX base of MySQL installation
  --with-microhttpd=PFX base of libmicrohttpd installation

configure.ac indeed tries to satisfy all syntaxes at once, like
--with-mysql=YES and --with-mysql=/opt/mariadb, but when given the
also legal "--with-mysql" as opposed to "--without-mysql" it will
act as if --with-mysql=NO had been given. This glitch probably
applies to most --with* sections in configure.ac. Unfortunately
I'm still not routined at hacking autoconf, so I pass this to
anyone who is.

P.S. Interesting how in this usage message --with-postgresql explains
both syntaxes while the other options do not. That alone is inconsistent.
TagsNo tags attached.

Activities

Christian Grothoff

2016-09-16 13:55

manager   ~0011119

Should be fixed in SVN 37936.

Issue History

Date Modified Username Field Change
2016-09-12 20:25 lynX New Issue
2016-09-16 13:55 Christian Grothoff Note Added: 0011119
2016-09-16 13:55 Christian Grothoff Status new => resolved
2016-09-16 13:55 Christian Grothoff Fixed in Version => 0.11.0pre66
2016-09-16 13:55 Christian Grothoff Resolution open => fixed
2016-09-16 13:55 Christian Grothoff Assigned To => Christian Grothoff
2016-09-16 13:55 Christian Grothoff Product Version => 0.10.1
2016-09-16 13:55 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed